/*
 * @Descripttion: 
 * @version: 
 * @Author: kBank
 * @Date: 2023-02-28 14:15:47
 */
import request from '@/utils/request'

//国家
export function countryList(params) {
  return request({
    url: '/system/manage/country/list',
    method: 'get',
    params
  })
}
//地址
export function areaList(params) {
  return request({
    url: '/system/manage/area/find-all',
    method: 'get',
    params
  })
}
//全球分布list
export function globalList(params) {
  return request({
    url: '/system/manage/ho-global-company/list',
    method: 'get',
    params
  })
}
//语言类型
export function languagesList(params) {
  return request({
    url: '/system/pub/enums/get-languages',
    method: 'get',
    params
  })
}
//新增全球分布
export function globalSave(data) {
  return request({
    url: '/system/manage/ho-global-company/save',
    method: 'post',
    data
  })
}
//修改全球分布
export function globalUpdate(data) {
  return request({
    url: '/system/manage/ho-global-company/update',
    method: 'post',
    data
  })
}
//查询单条全球分布
export function getOneGlobal(id) {
  return request({
    url: '/system/manage/ho-global-company/getOne/' + id,
    method: 'get',
  })
}

// 删除全球分布
export function globalDel(id) {
  return request({
    url: '/system/manage/ho-global-company/' + id,
    method: 'delete',
  })
}
//发展历程列表
export function processList(params) {
  return request({
    url: '/system/manage/ho-memoir-process/list',
    method: 'get',
    params
  })
}
//资质荣誉列表
export function honorList(params) {
  return request({
    url: '/system/manage/ho-memoir-honor/list',
    method: 'get',
    params
  })
}
//资质荣誉单个
export function getOneHonor(id) {
  return request({
    url: '/system/manage/ho-memoir-honor/getOne/' + id,
    method: 'get',
  })
}
//发展历程单个
export function getOneProcess(id) {
  return request({
    url: '/system/manage/ho-memoir-process/getOne/' + id,
    method: 'get',
  })
}
// 删除荣誉资质
export function honorDel(id) {
  return request({
    url: '/system/manage/ho-memoir-honor/' + id,
    method: 'delete',
  })
}
// 删除发展历程
export function processDel(id) {
  return request({
    url: '/system/manage/ho-memoir-process/' + id,
    method: 'delete',
  })
}
//荣誉资质置顶
export function updateTopping(data) {
  return request({
    url: '/system/manage/ho-memoir-honor/updateTopping',
    method: 'post',
    data
  })
}
//发展历程置顶
export function updateToppingP(data) {
  return request({
    url: '/system/manage/ho-memoir-process/updateTopping',
    method: 'post',
    data
  })
}
//荣誉资质上移
export function moveUp(data) {
  return request({
    url: '/system/manage/ho-memoir-honor/moveUp',
    method: 'post',
    data
  })
}
//发展历程上移
export function moveUpP(data) {
  return request({
    url: '/system/manage/ho-memoir-process/moveUp',
    method: 'post',
    data
  })
}
//荣誉资质置下移
export function moveDown(data) {
  return request({
    url: '/system/manage/ho-memoir-honor/moveDown',
    method: 'post',
    data
  })
}
//发展历程置下移
export function moveDownP(data) {
  return request({
    url: '/system/manage/ho-memoir-process/moveDown',
    method: 'post',
    data
  })
}
//荣誉资质置修改
export function honorUpdate(data) {
  return request({
    url: '/system/manage/ho-memoir-honor/update',
    method: 'post',
    data
  })
}
//荣誉资质置新增
export function honorSave(data) {
  return request({
    url: '/system/manage/ho-memoir-honor/save',
    method: 'post',
    data
  })
}
//发展历程置修改
export function processUpdate(data) {
  return request({
    url: '/system/manage/ho-memoir-process/update',
    method: 'post',
    data
  })
}
//发展历程置新增
export function processSave(data) {
  return request({
    url: '/system/manage/ho-memoir-process/save',
    method: 'post',
    data
  })
}

//首页背景列表
export function backgroundList(id) {
  return request({
    url: '/system/manage/ho-background/list',
    method: 'get',
  })
}
//首页背景新增
export function backgroundSave(data) {
  return request({
    url: '/system/manage/ho-background/save',
    method: 'post',
    data
  })
}
//首页背景新增
export function backgroundUpdate(data) {
  return request({
    url: '/system/manage/ho-background/update',
    method: 'post',
    data
  })
}
//首页背景详情
export function getOneBack(id) {
  return request({
    url: '/system/manage/ho-background/getOne/' + id,
    method: 'get',
  })
}

// 删除首页背景
export function backgroundDel(id) {
  return request({
    url: '/system/manage/ho-background/' + id,
    method: 'delete',
  })
}

//公司新闻列表
export function newsList(params) {
  return request({
    url: '/system/manage/ho-enterprise-news/list',
    method: 'get',
    params
  })
}
//公司风采列表
export function styleList(params) {
  return request({
    url: '/system/manage/ho-enterprise-style/list',
    method: 'get',
    params
  })
}
//公司新闻新增
export function newsSave(data) {
  return request({
    url: '/system/manage/ho-enterprise-news/save',
    method: 'post',
    data
  })
}
//公司风采新增
export function styleSave(data) {
  return request({
    url: '/system/manage/ho-enterprise-style/save',
    method: 'post',
    data
  })
}
//公司风采详情
export function getOneStyle(id) {
  return request({
    url: '/system/manage/ho-enterprise-style/getOne/' + id,
    method: 'get',
  })
}
//公司新闻详情
export function getOneNews(id) {
  return request({
    url: '/system/manage/ho-enterprise-news/getOne/' + id,
    method: 'get',
  })
}
//公司风采修改
export function styleUpdate(data) {
  return request({
    url: '/system/manage/ho-enterprise-style/update',
    method: 'post',
    data
  })
}
//公司新闻修改
export function newsUpdate(data) {
  return request({
    url: '/system/manage/ho-enterprise-news/update',
    method: 'post',
    data
  })
}

// 删除公司新闻
export function newsDel(id) {
  return request({
    url: '/system/manage/ho-enterprise-news/' + id,
    method: 'delete',
  })
}
// 删除公司风采
export function styleDel(id) {
  return request({
    url: '/system/manage/ho-enterprise-style/' + id,
    method: 'delete',
  })
}
//商品配置list
export function hoProductList(params) {
  return request({
    url: '/system/manage/ho-product-details/list',
    method: 'get',
    params
  })
}
//商品分类
export function classifyList(params) {
  return request({
    url: '/sale/manage/area-classify/find-all',
    method: 'get',
    params
  })
}
//商品配置新增
export function productSave(data) {
  return request({
    url: '/system/manage/ho-product-details/save',
    method: 'post',
    data
  })
}

//商品配置修改
export function productUpdate(data) {
  return request({
    url: '/system/manage/ho-product-details/update',
    method: 'post',
    data
  })
}
//商品配置详情
export function getOneProduct(id) {
  return request({
    url: '/system/manage/ho-product-details/getOne/' + id,
    method: 'get',
  })
}
// 删除商品配置
export function productDel(id) {
  return request({
    url: '/system/manage/ho-product-details/' + id,
    method: 'delete',
  })
}
//广告列表
export function advertList(params) {
  return request({
    url: '/system/manage/ho-advert-banner/list',
    method: 'get',
    params
  })
}
//广告add
export function advertSave(data) {
  return request({
    url: '/system/manage/ho-advert-banner/save',
    method: 'post',
    data
  })
}
//广告edit
export function advertUpdate(data) {
  return request({
    url: '/system/manage/ho-advert-banner/update',
    method: 'post',
    data
  })
}
//广告详情
export function getOneAdvert(id) {
  return request({
    url: '/system/manage/ho-advert-banner/getOne/' + id,
    method: 'get',
  })
}
//广告位置
export function noticeLocation(params) {
  return request({
    url: 'system/pub/enums/notice-location',
    method: 'get',
    params
  })
}
// 删除广告
export function advertDel(id) {
  return request({
    url: '/system/manage/ho-advert-banner/' + id,
    method: 'delete',
  })
}
//广告置顶
export function advertTop(data) {
  return request({
    url: '/system/manage/ho-advert-banner/updateTopping',
    method: 'post',
    data
  })
}
//广告上移
export function advertUp(data) {
  return request({
    url: '/system/manage/ho-advert-banner/moveUp',
    method: 'post',
    data
  })
}
//广告下一
export function advertDown(data) {
  return request({
    url: '/system/manage/ho-advert-banner/moveDown',
    method: 'post',
    data
  })
}

//VR列表
export function vrList(params) {
  return request({
    url: '/system/manage/ho-vr-area/list',
    method: 'get',
    params
  })
}
//VRadd
export function vrSave(data) {
  return request({
    url: '/system/manage/ho-vr-area/save',
    method: 'post',
    data
  })
}
//VR edit
export function vrUpdate(data) {
  return request({
    url: '/system/manage/ho-vr-area/update',
    method: 'post',
    data
  })
}
//vr详情
export function getOneVr(id) {
  return request({
    url: '/system/manage/ho-vr-area/getOne/' + id,
    method: 'get',
  })
}
// 删除vr
export function vrDel(id) {
  return request({
    url: '/system/manage/ho-vr-area/' + id,
    method: 'delete',
  })
}



//企业列表
export function missionList(params) {
  return request({
    url: '/system/manage/ho-enterprise-mission/list',
    method: 'get',
    params
  })
}
//企业add
export function missionSave(data) {
  return request({
    url: '/system/manage/ho-enterprise-mission/save',
    method: 'post',
    data
  })
}
//企业 edit
export function missionUpdate(data) {
  return request({
    url: '/system/manage/ho-enterprise-mission/update',
    method: 'post',
    data
  })
}
//企业详情
export function getOneMission(id) {
  return request({
    url: '/system/manage/ho-enterprise-mission/getOne/' + id,
    method: 'get',
  })
}
// 删除企业
export function missionDel(id) {
  return request({
    url: '/system/manage/ho-enterprise-mission/' + id,
    method: 'delete',
  })
}
// 国家
export function userCountryList(params) {
  return request({
    url: '/system/manage/user-country/list',
    method: 'get',
    params
  })
}
// 地区
export function sonlist(params) {
  return request({
    url: '/system/manage/continent/sonlist',
    method: 'get',
    params
  })
}
// 发布位置
export function position(params) {
  return request({
    url: '/system/pub/enums/position',
    method: 'get',
    params
  })
}
// 校验撤单
export function validateBind(data) {
  return request({
    url: '/sale/manage/order-business/validate-bind',
    method: 'post',
    data
  })
}
// 撤单免签免付
export function freeCancelOrder(data) {
  return request({
    url: '/sale/manage/order-business/free-cancel-order-confirm',
    method: 'post',
    data
  })
}

// 是否
export function yes_no(params) {
  return request({
    url: '/system/pub/enums/dealer-yes-no',
    method: 'get',
    params
  })
}
// 修改地址确认（无签呈）
export function addressFree(data) {
  return request({
    url: '/sale/manage/order-business/address-confirm-free-sign',
    method: 'post',
    data
  })
}
// 调换货（无签呈）
export function productFree(data) {
  return request({
    url: '/sale/manage/order-business/product-confirm-free-sign',
    method: 'post',
    data
  })
}